## com.vividsolutions.jts.noding
Class MCIndexSegmentSetMutualIntersector

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentSetMutualIntersector
          com.vividsolutions.jts.noding.MCIndexSegmentSetMutualIntersector

public class MCIndexSegmentSetMutualIntersector
extends SegmentSetMutualIntersector

Intersects two sets of `SegmentStrings` using a index based on `MonotoneChain`s and a `SpatialIndex`.

Version:
  1.7

Nested Class Summary
`class` `MCIndexSegmentSetMutualIntersector.SegmentOverlapAction`

Field Summary

Fields inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`segInt`

Constructor Summary
`MCIndexSegmentSetMutualIntersector()`

Method Summary
`SpatialIndex` `getIndex()`
`java.util.List` `getMonotoneChains()`
`void` `process(java.util.Collection segStrings)` Computes the intersections for two collections of `SegmentString`s.
`void` `setBaseSegments(java.util.Collection segStrings)`

Methods inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`setSegmentIntersector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexSegmentSetMutualIntersector

    public MCIndexSegmentSetMutualIntersector()

Method Detail

### getMonotoneChains

    public java.util.List getMonotoneChains()

### getIndex

    public SpatialIndex getIndex()

### setBaseSegments

    public void setBaseSegments(java.util.Collection segStrings)

  Specified by:
    `setBaseSegments` in class `SegmentSetMutualIntersector`

### process

    public void process(java.util.Collection segStrings)

  Description copied from class: `SegmentSetMutualIntersector`
  Computes the intersections for two collections of `SegmentString`s.

  Specified by:
    `process` in class `SegmentSetMutualIntersector`